<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: Member List</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>LASi::PostscriptDocument Member List</h1>This is the complete list of members for <a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#fc2524a5b7e7b0c85f17984975748172">accrue_dimensions</a>(const GlyphMap::value_type &amp;, void *contextData1)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#d6761365a3b9a106e62c0c498a9ce06a">for_each_glyph_do</a>(const std::string &amp;, const GLYPH_FUNC, void *contextData)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#6310d7a59e51a1d9ac728562bdd2d6ca">get_dimensions</a>(const char *s, double *lineSpacing, double *xAdvance=NULL, double *yMin=NULL, double *yMax=NULL)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#1948df216ca0ebe81084014a22771e64">get_dimensions</a>(std::string s, double *lineSpacing, double *xAdvance=NULL, double *yMin=NULL, double *yMax=NULL)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#12c5c90259b16d8778219706a9ce121a">getFontSize</a>()</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [inline, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#b3421a1f3572c75df7218a3c35f2b108">GLYPH_FUNC</a> typedef</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#d04760970ff8a69b4cc0df3dc3787a50">GlyphMap</a> typedef</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#ae3eaec64d39b063f61fe4d1405c2457">glyphProcName</a>() const </td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#02f8faf65c76d41011cffa08c7ace44e">invoke_glyph_routine</a>(const GlyphMap::value_type &amp;, void *contextData)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#fe7e58d323555a8be0b1cb8ed94e373d">osBody</a>()</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#9331d7b137d0fd6f1107e88b18851970">osFooter</a>()</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#999bf5a5d71339e3acdc1889e9bc68e3">osHeader</a>()</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#ea9023120f9e6260717d94bb4c36937c">pangoContext</a>() const </td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#013b8209020138f6c9ef2e909a77c386">PostscriptDocument</a>()</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#fb3c2cf25c2522e6bc62ef06499c803d">setFont</a>(const char *const family=&quot;sans&quot;, LASi::FontStyle=LASi::NORMAL_STYLE, LASi::FontWeight=LASi::NORMAL_WEIGHT, LASi::FontVariant=LASi::NORMAL_VARIANT, LASi::FontStretch=LASi::NORMAL_STRETCH)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#2de93d93c4979c187db13fd64de85844">setFontSize</a>(const double size)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#7fc469992ea83eaa8e008fe32eb4828f">show</a> class</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#e7aa9fba41b530c92dbbafd5926a13ff">write</a>(std::ostream &amp;os, double llx=0, double lly=0, double urx=0, double ury=0)</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#43742b164a1653e57d93ffbbf4df70de">write_glyph_routine_to_stream</a> class</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classLASi_1_1PostscriptDocument.html#2bd1a6fe71625e173dd4c0f2ff7f5110">~PostscriptDocument</a>()</td><td><a class="el" href="classLASi_1_1PostscriptDocument.html">LASi::PostscriptDocument</a></td><td></td></tr>
</table><hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
